Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1215905

Summary: [abrt] gimp: file_save_dialog_response(): gimp-2.8 killed by SIGSEGV
Product: [Fedora] Fedora Reporter: andreas.mack <andreas.mack>
Component: gimpAssignee: Nils Philippsen <nphilipp>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: jskarvad, nphilipp, omega13a, phracek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/824505b465b6abe95481c6efc820e40fbedcd5ad
Whiteboard: abrt_hash:5a994c7500198a538e2698e956a2c84b88057f80
Fixed In Version: gimp-2.8.14-3.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-23 08:54:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status none

Description andreas.mack@konsec.com 2015-04-28 06:17:48 UTC
Version-Release number of selected component:
gimp-2.8.14-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        gimp-2.8 /data/work/temp/IMG_20150423_173057.jpg
crash_function: file_save_dialog_response
executable:     /usr/bin/gimp-2.8
kernel:         3.19.4-200.fc21.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fri 2015-02-20 10:34:07 CET, end at Thu 2015-04-23 17:51:14 CEST. --

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 file_save_dialog_response at file-save-dialog.c:215
 #5 _g_closure_invoke_va at gclosure.c:831
 #8 button_activate_timeout at gtkbutton.c:1730
 #15 app_run at app.c:263

Potential duplicate: bug 1105795

Comment 1 andreas.mack@konsec.com 2015-04-28 06:17:52 UTC
Created attachment 1019525 [details]
File: backtrace

Comment 2 andreas.mack@konsec.com 2015-04-28 06:17:53 UTC
Created attachment 1019526 [details]
File: cgroup

Comment 3 andreas.mack@konsec.com 2015-04-28 06:17:55 UTC
Created attachment 1019527 [details]
File: core_backtrace

Comment 4 andreas.mack@konsec.com 2015-04-28 06:17:56 UTC
Created attachment 1019528 [details]
File: dso_list

Comment 5 andreas.mack@konsec.com 2015-04-28 06:17:57 UTC
Created attachment 1019529 [details]
File: environ

Comment 6 andreas.mack@konsec.com 2015-04-28 06:17:58 UTC
Created attachment 1019530 [details]
File: exploitable

Comment 7 andreas.mack@konsec.com 2015-04-28 06:17:59 UTC
Created attachment 1019531 [details]
File: limits

Comment 8 andreas.mack@konsec.com 2015-04-28 06:18:01 UTC
Created attachment 1019532 [details]
File: maps

Comment 9 andreas.mack@konsec.com 2015-04-28 06:18:02 UTC
Created attachment 1019533 [details]
File: open_fds

Comment 10 andreas.mack@konsec.com 2015-04-28 06:18:03 UTC
Created attachment 1019534 [details]
File: proc_pid_status

Comment 11 Nils Philippsen 2015-07-08 12:49:43 UTC
*** Bug 1240473 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2015-07-16 14:35:11 UTC
gimp-2.8.14-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gimp-2.8.14-2.fc21

Comment 13 Fedora Update System 2015-07-16 14:35:18 UTC
gimp-2.8.14-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gimp-2.8.14-2.fc22

Comment 14 Nils Philippsen 2015-07-16 14:50:34 UTC
*** Bug 1243033 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2015-07-17 16:16:46 UTC
gimp-2.8.14-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gimp-2.8.14-3.fc22

Comment 16 Fedora Update System 2015-07-17 16:17:56 UTC
gimp-2.8.14-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gimp-2.8.14-3.fc21

Comment 17 Fedora Update System 2015-07-18 01:54:44 UTC
Package gimp-2.8.14-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-2.8.14-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11669/gimp-2.8.14-2.fc22
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-07-23 08:54:48 UTC
gimp-2.8.14-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-07-30 00:58:57 UTC
gimp-2.8.14-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.